net.sf.jasperreports.engine.analytics.dataset

## Class MultiAxisDataService.DataSource

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.MultiAxisDataService.DataSource

- All Implemented Interfaces:
    MultiAxisDataSource
  Enclosing class:
    MultiAxisDataService

      protected class MultiAxisDataService.DataSource
      extends java.lang.Object
      implements MultiAxisDataSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisDataService.DataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MultiAxisDataService.LevelNode` | `axisLevelNodeArgument(Axis axis, AxisLevelNode... nodes)`
    `java.util.List<? extends AxisLevel>` | `getAxisLevels(Axis axis)`
    `AxisLevelNode` | `getAxisRootNode(Axis axis)`
    `java.util.List<? extends Measure>` | `getMeasures()`
    `java.util.List<? extends MeasureValue>` | `getMeasureValues(AxisLevelNode... nodes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiAxisDataService.DataSource

          public MultiAxisDataService.DataSource()

  - ### Method Detail

    - #### getAxisLevels

          public java.util.List<? extends AxisLevel> getAxisLevels(Axis axis)

      Specified by:
        `getAxisLevels` in interface `MultiAxisDataSource`

    - #### getMeasures

          public java.util.List<? extends Measure> getMeasures()

      Specified by:
        `getMeasures` in interface `MultiAxisDataSource`

    - #### getAxisRootNode

          public AxisLevelNode getAxisRootNode(Axis axis)

      Specified by:
        `getAxisRootNode` in interface `MultiAxisDataSource`

    - #### getMeasureValues

          public java.util.List<? extends MeasureValue> getMeasureValues(AxisLevelNode... nodes)

      Specified by:
        `getMeasureValues` in interface `MultiAxisDataSource`

    - #### axisLevelNodeArgument

          protected MultiAxisDataService.LevelNode axisLevelNodeArgument(Axis axis,
                                                             AxisLevelNode... nodes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com